### Method

# GLib IOChannel read

deprecated: 2.2

#### Declaration

    GIOError
    g_io_channel_read (
      GIOChannel* channel,
      gchar* buf,
      gsize count,
      gsize* bytes_read
    )

#### Description

Reads data from a `GIOChannel`.

Deprecated since: 2.2

Use `g_io_channel_read_chars()` instead.

#### Parameters

`buf`

  Type: `gchar*`

  A buffer to read the data into (which should be at least count bytes long)

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`count`

  Type: `gsize`

  The number of bytes to read from the `GIOChannel`.

`bytes_read`

  Type: `gsize*`

  Returns the number of bytes actually read.

  The data is owned by the caller of the method.

#### Return value

Type: `GIOError`

`G_IO_ERROR_NONE` if the operation was successful.